List Notification Rules
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/notification_rules \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/notification_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/notification_rules"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"rule_type": "notification",
"event": "<string>",
"conditions": {},
"actions": {},
"active": true,
"discarded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Treasury Rules
List Notification Rules
List all notification rules for payments
GET
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
notification_rules
List Notification Rules
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/notification_rules \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/notification_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/notification_rules"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"rule_type": "notification",
"event": "<string>",
"conditions": {},
"actions": {},
"active": true,
"discarded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Authorizations
Path Parameters
The numeric ID of the account